<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="10"
      :sm="24"
    >
      <warehouse-factory-model-left   
      ref="left" 
      :enterpriseId="enterpriseId" 
      @loadList="loadList" 
      />
    </a-col>
    <a-col
      :md="14"
      :sm="24"
    >
      <warehouse-factory-model-right 
      ref="right" 
      :mainId="mainId"  
      :factoryInfo="factoryInfo"
      @getAddFactoryIds="getAddFactoryIds"  
      :originTargetKeys="originTargetKeys"
      :addId="addId"
      />
    </a-col>
  </a-row>
</template>

<script>

import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import WarehouseFactoryModelLeft from './WarehouseFactoryModelLeft.vue';
import WarehouseFactoryModelRight from './WarehouseFactoryModelRight.vue';
export default {
  name: 'WarehouseFactoryModel',
  components: {
  
    JeecgListMixin,
    WarehouseFactoryModelLeft,
    WarehouseFactoryModelRight 
  },
  props:{
      enterpriseId:{
        type:String,
        default:'',
        required:false
      },
      mainId:{
        type:String,
        default:'',
        required:false
      },
      originTargetKeys:{
        type:Array,
        required:false
      },
      addId:{
        type:String,
        default:'',
        required:false
      },
  },
  data() {
    
    return {
      description: '工厂/车间/产线建模',
      factoryInfo:{},
    }
  },
  methods: {
    loadList(val){
    this.factoryInfo=val
    },
    clearList(){
      this.$refs.right.onClearSelected();
    },
    getAddFactoryIds(val){
      this.$emit('getAddFactoryIds',val);
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>